Get My Rate Card
Fetch the full price table for one of your rate cards.
/rate-cards/mine/:rate_card_id
GET https://api.terminal.africa/v1/rate-cards/mine/:rate_card_id
This endpoint allows you to retrieve the full price matrix for one rate card assigned to your account.
Path Parameters
Name
Type
Description
rate_card_id*
String
Unique rate_card_id of the card.
Headers
Name
Type
Description
Authorization*
String
Set value to Bearer SECRET_KEY
Content-Type
String
Set value to application/json
For the structure of the pricing object and how to read a cell, see Rate Card Pricing.
{
"status": true,
"message": "Rate card retrieved successfully",
"data": {
"carrier": "dhl-ng",
"carrier_name": "DHL Express",
"rate_card_id": "RTC-73920184455",
"pricing_grade": "strategic",
"description": "Outbound international from Nigeria",
"updated_at": "2026-09-04T11:22:41.006Z",
"transit": {
"min": 2,
"max": 6,
"unit": "days",
"side": "delivery"
},
"pricing": {
"rate_card_id": "RTC-73920184455",
"name": "DHL Export Strategic",
"currency": "NGN",
"currency_symbol": "₦",
"unit": "kg",
"format": "standard",
"includes_surcharges": true,
"band_surcharge_overrides": [],
"delivery": {
"zones": [
{ "zone_code": "Z1", "name": "West Africa", "label": "West Africa" },
{ "zone_code": "Z2", "name": "Europe", "label": "Europe" },
{ "zone_code": "Z3", "name": "North America", "label": "North America" }
],
"rows": [
{
"band": "0-0.5",
"label": "0.5",
"cells": { "Z1": 28400, "Z2": 39750, "Z3": 44100 },
"override_range": null
},
{
"band": "0.5-1",
"label": "1",
"cells": { "Z1": 33900, "Z2": 47200, "Z3": 52650 },
"override_range": null
},
{
"band": "1-2",
"label": "2",
"cells": { "Z1": 42350, "Z2": 58800, "Z3": 65400 },
"override_range": null
},
{
"band": "2-3",
"label": "3",
"cells": { "Z1": 50100, "Z2": 69300, "Z3": null },
"override_range": null
}
],
"has_pricing": true
},
"pickup": {
"zones": [],
"rows": [],
"has_pricing": false
}
}
}
}Was this helpful?